#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF8,0x37,0xB1,0x87,0xAF,0x48,0xBE,0xAA,0xD0,0x36,0xCD,0x9A,
		0x82,0xD9,0xB0,0x93,0x98,0x3D,0xD2,0x68,0xF5,0x83,0x9C,0xBA,
		0x03,0xFF,0x4A,0x33,0x16,0x2E,0x35,0x40,0xED,0xFE,0x73,0x48,
		0x42,0x39,0x66,0x13,0x3D,0xB1,0x95,0xF2,0x82,0xF0,0xE5,0x85,
		0x43,0x73,0x6D,0x81,0xC1,0x40,0xE9,0xD2,0xA7,0x69,0x14,0x02,
		0x9B,0xDE,0x25,0x1F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
